
Katello - Bug #5911

Perms for content host registration + env lockin

05/23/2014 01:28 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102290 Red Hat JIRA:  

Pull request:    

Description

Add permissions to environment and content hosts and implement the lockin based of the following criteria

Rules of the Game

To register a system one needs

1) create_content_hosts (under content hosts resource)

2) register_content_hosts_to_content_views

3) view_content_views

4) register_content_hosts_to_environments

Related issues:

Has duplicate Katello - Bug #4073: Switching environments for a System does n... Duplicate 01/16/2014

Blocks Katello - Feature #5498: As a user, I should be able to lock permissio... Closed 04/29/2014

Associated revisions

Revision 23b591c1 - 06/04/2014 03:01 PM - Partha Aji

Fixes #5911 - perms for system registration calls

Also handles env lockin/cv lockin for content view remove

Rules of the Game

To register a system one needs

1) create_content_hosts (under content hosts resource)

2) view_content_views

3) view_environments

Also cleaned out some old code.

Revision 85af6d02 - 06/04/2014 07:01 PM - Partha Aji

Fixes #5911 - perms for system registration calls

Also handles env lockin/cv lockin for content view remove

Rules of the Game

To register a system one needs

1) create_content_hosts (under content hosts resource)

2) view_content_views

3) view_environments

Also cleaned out some old code.

Revision 29d36925 - 06/04/2014 08:18 PM - Partha Aji

Merge pull request #4147 from parthaa/sys-registration

Fixes #5911 - Added permissions for content host registration calls

History
#1 - 05/28/2014 04:54 PM - Eric Helms

- Status changed from New to Assigned

- Target version set to 45

- Triaged changed from No to Yes

#2 - 05/28/2014 04:54 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102290

#3 - 05/28/2014 06:14 PM - Eric Helms

- Blocks Feature #5498: As a user, I should be able to lock permissions by Lifecycle Environment. added

#4 - 06/03/2014 08:22 PM - Partha Aji

- Has duplicate Bug #4073: Switching environments for a System does not honor the systems register-able permission added

#5 - 06/04/2014 08:53 PM - Partha Aji

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:85af6d026e3e9fad13d8fdf7bb589a8e986e32ff.

#6 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
